// hostDlg.h : header file
//

#if !defined(AFX_HOSTDLG_H__45E93CAA_D73D_41C0_8691_A9F28E29A041__INCLUDED_)
#define AFX_HOSTDLG_H__45E93CAA_D73D_41C0_8691_A9F28E29A041__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CHostDlg dialog
class CHostDlg : public CDialog
{
// Construction
public:
	CHostDlg(CWnd* pParent = NULL);	// standard constructor

	CButton PushButton[16];
	CButton ADC_Check[16];
	CButton InOutctrl[4];
	CEdit DA_Value[2];
	CSliderCtrl SliDA[2];
	CEdit ADResult[16];
	CButton RadioRange[19];
	CButton B_ADC[16];
// Dialog Data
	//{{AFX_DATA(CHostDlg)
	enum { IDD = IDD_HOST_DIALOG };
	CSliderCtrl	m_Sli_T_DA1;
	CSliderCtrl	m_Sli_T_DA0;
	CComboBox	m_COMDIP;
	CSliderCtrl	m_Sli_DIO;
	CComboBox	m_COMbps;
	CComboBox	m_COMPortNum;
	CButton	m_COM_START;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHostDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	bool DeviceOpen();
	void CloseConnection();

	void TIMER_DIO_READ_f();
	void TIMER_DIO_AUTO_f();
	void TIMER_AD_READ_f();
	void TIMER_DA_AUTO_f();
	void Init(bool);
	void COMInit();

	DrawDialog dlg;

	HICON m_hIcon;
	UINT m_nTimer;
	int AutoNowOut;
	HANDLE hCom;
	int DrawChannel;
	char wChar;
	char tmpc;
	char sTx[20] , sRx[20];
	int nframe;
	// Generated message map functions
	//{{AFX_MSG(CHostDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnDestroy();
	afx_msg void OnCancelMode();
	afx_msg void ManualTest(UINT);
	afx_msg void ADCCheck(UINT);
	afx_msg void IOSwitch(UINT);
	afx_msg void SetDA0Range(UINT);
	afx_msg void SetDA1Range(UINT);
	afx_msg void SetADRange(UINT);
	afx_msg void ADDraw(UINT);
	afx_msg void OnAutorun();
	afx_msg void OnSelchangeCardID();
	afx_msg void OnSelchangeCardNum();
	afx_msg void OnCOMOpen();
	afx_msg void OnBDIOAutoTest();
	afx_msg void OnBDAAutoTest();
	afx_msg void OnBSetDA0();
	afx_msg void OnBSetDA1();
	afx_msg void OnRDIOAuto();
	afx_msg void OnRDIOManual();
	afx_msg void OnRDAAuto();
	afx_msg void OnRDAManual();
	afx_msg void OnReleasedcaptureSliDa0(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliDa1(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HOSTDLG_H__45E93CAA_D73D_41C0_8691_A9F28E29A041__INCLUDED_)
